Package com.sun.mail.util

## Class MimeUtil

- java.lang.Object
- - com.sun.mail.util.MimeUtil

    public class MimeUtil
    extends java.lang.Object

General MIME-related utility methods.

Since:
  JavaMail 1.4.4
Author:
  Bill Shannon

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `cleanContentType​(MimePart mp, java.lang.String contentType)` If a Content-Type handler has been specified, call it to clean up the Content-Type value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### cleanContentType

    public static java.lang.String cleanContentType​(MimePart mp,
                                                    java.lang.String contentType)

If a Content-Type handler has been specified, call it to clean up the Content-Type value.

Parameters:
  `mp` - the MimePart
  `contentType` - the Content-Type value
Returns:
  the cleaned Content-Type value